function Text_h(h)
{
	this.handle = h;

	this.SetFont = function(font)
	{
		return fsText_SetFont(this.handle, font.handle);
	}

	this.SetText = function(value)
	{
		return fsText_SetText(this.handle, value);
	}

	this.SetColor = function(r, g, b, a)
	{
		return fsText_SetColor(this.handle, r, g, b, a);
	}

	this.SetRect = function(x, y, w, h)
	{
		return fsText_SetRect(this.handle, x, y, w, h);
	}

	this.Delete = function()
	{
		return fsText_Delete(this.handle);
	}

}
function Text(layer, font, value, x, y, w, h)
{
	return new Text_h(fsText_Create(layer.handle, font.handle, value, x, y, w, h));
}
